[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldSetTextEvent

Event handler to get field content

## Declaration

Source position: db.pas line 234

`type TFieldSetTextEvent = procedure(`
`Sender: TField;`
`const aText: string`
`) of object;`

## Arguments

`Sender` |  | Field which invoked the event handler
`aText` |  | User-supplied value for the field's contents

## Description

TFieldSetTextEvent is the prototype for an event handler used to set the contents of a field based on a user-edited text. It should be used when the text of a field is entered with special formatting. The event handler should set the contents of the field based on the formatted text in the AText parameter.

## See also

TField.OnGetText |  | Event to format the field's content
TFieldGetTextEvent |  | Event handler to get field content

Documentation generated on: Feb 26 2014